%global goipath         github.com/justjanne/powerline-go
Version:                1.11.0

%global common_description %{expand:
A Powerline like prompt for Bash, ZSH and Fish.

 - Shows some important details about the git/hg branch
 - Changes color if the last command exited with a failure code
 - If you're too deep into a directory tree, shortens the displayed 
   path with an ellipsis
 - Shows the current Python virtualenv environment
 - It's easy to customize and extend.}

%gometa

Name:    powerline-go
Release: 2%{?dist}
Summary: A beautiful and useful low-latency prompt for your shell, written in go
License: GPLv3
URL:     %{gourl}
Source:  %{gosource}

BuildRequires:  golang(github.com/mattn/go-runewidth)
BuildRequires:  golang(github.com/shirou/gopsutil/load)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/text/width)
BuildRequires:  golang(gopkg.in/yaml.v2)

%description
%{common_description}


%prep
%forgeautosetup


%build 
%gobuildroot
%gobuild -o _bin/powerline-go %{goipath}


%install
install -Dpm 0755 _bin/powerline-go %{buildroot}%{_bindir}/powerline-go


%files
%license LICENSE.md
%doc README.md
%{_bindir}/powerline-go


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 30 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.11.0-1
- Upstream release 1.11.0

* Wed Apr 11 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.9.0-1
- Upstream release 1.9.0
- Update to new Go packaging guidelines

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.8.2-1
- Upstream release 1.8.2

* Fri Oct 20 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.8.1-1
- Upstream release 1.8.1

* Sat Sep 02 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.1-1
- Upstream release 1.5.1

* Fri Sep 01 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Initial RPM release

